Name:           pidgin-otr
Version:        4.0.2
Release:        %mkrel 3
Summary:        Pidgin plugin that implements Off-the-Record Messaging
License:        GPLv2
Group:          Networking/Instant messaging
URL:            http://www.cypherpunks.ca/otr/
Source0:        http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz
Source1:        http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.gz.asc
BuildRequires:  pkgconfig(pidgin)
BuildRequires:  pkgconfig(libotr) >= 3.2.0
BuildRequires:  gtk2-devel >= 2.4
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
Requires:       pidgin

%description
This is a plugin for pidgin which implements Off-the-Record
Messaging over any IM network pidgin supports.

OTR allows you to have private conversations over IM by providing:
 - Encryption
   - No one else can read your instant messages.
 - Authentication
   - You are assured the correspondent is who you think it is.
 - Deniability
   - The messages you send do _not_ have digital signatures that are
     checkable by a third party.  Anyone can forge messages after a
     conversation to make them look like they came from you.  However,
     _during_ a conversation, your correspondent is assured the messages
     he sees are authentic and unmodified.
 - Perfect forward secrecy
   - If you lose control of your private keys, no previous conversation
     is compromised.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot} %name.lang
%make_install

# remove unneeded file
rm -f %{buildroot}%{_libdir}/pidgin/*.la

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/pidgin/*.so




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 4.0.2-3.mga8
+ Revision: 1515940
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 4.0.2-2.mga7
+ Revision: 1300271
- Mageia 7 Mass Rebuild

* Wed Mar 09 2016 luigiwalser <luigiwalser> 4.0.2-1.mga6
+ Revision: 988656
- 4.0.2 (fixes heap use-after-free error)

* Tue Feb 16 2016 umeabot <umeabot> 4.0.0-6.mga6
+ Revision: 962100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 740129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 687588
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.0-3.mga4
+ Revision: 517460
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 377737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 obgr_seneca <obgr_seneca> 4.0.0-1.mga3
+ Revision: 302551
- New version 4.0.0

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 3.2.1-1.mga3
+ Revision: 255891
- added missing BR for intltool
- removed format string patch, fixed upstream
- fixed needed version of libotr
- New version 3.2.1

* Fri Mar 11 2011 obgr_seneca <obgr_seneca> 3.2.0-3.mga1
+ Revision: 68333
- imported package pidgin-otr


* Fri Mar 11 2011 Oliver Burger <oliver.bgr@googlemail.com> 3.2.0-3mga1
- cleaned up spec
- removed gaim provides/obsoletes
- removed buildroot tag

* Sun Jun 21 2009 Götz Waschk <waschk@mandriva.org> 3.2.0-2mdv2010.0
+ Revision: 387918
- fix format string
- update license

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 227776
- New version 3.2.0

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 3.1.0-3mdv2008.1
+ Revision: 187588
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Funda Wang <fwang@mandriva.org> 3.1.0-2mdv2008.0
+ Revision: 95086
- rebuild for pidgin 2.2.1

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2008.0
+ Revision: 59295
- fix buildrequires
- new version
- drop patches
- bump deps
- update file list

* Wed May 09 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 25659
- new version
- patch for pidgin 2.0
- rename

